
Auto Multiple Choice - Bug # 966: La notation ne prend pas mon nouveau barème, la sortie export en 
openoffice ne fonctionne plus

Status: Feedback Priority: Urgent
Author: Corinne B Category:
Created: 05/26/2025 Assignee:
Updated: 05/29/2025 Due date:
Description: Bonjour,

J'ai un soucis qui est apparu brusquement alors que j'ajustais mon barème de notation.
Apparemment, le nouveau barème n'est pas pris en compte, mais je ne peux plus exporter le tableau de 
notes, que ce soit en openoffice ou en csv, et l'annotation des copies ne fonctionne plus non plus.
Comment puis-je régler le problème. J'ai  290 copies en correction.
Merci pour votre aide

History
05/26/2025 11:23 am - Corinne B
J'avais un soucis dans mon fichier avec le barème, mais cela n'explique pas le fait que la sortie export ne fonctionne toujours pas

05/26/2025 05:22 pm - Alexis Bienvenüe
Pouvez-vous effectuer de nouveau la notation avec mise à jour du barème puis l'export des notes, le tout en mode débogage (activé depuis le menu 
_Aide_), et poster le fichier @log@ produit ?

05/27/2025 10:40 am - Corinne B
Bonjour,
Je viens de l'envoyer par mail.

05/27/2025 10:48 am - Corinne B
- File AMC-DEBUG-IvVn6UUX.zip added

Corinne B wrote:
> Bonjour,
> Je viens de l'envoyer par mail.

LA notation a eu l'air de fonctionner, le fichier complet ne passe pas non plus par mail.
Voici le fichier par contre juste sur l'export open office qui ne fonctionne pas.

05/27/2025 07:30 pm - Alexis Bienvenüe
Pouvez-vous envoyer le fichier complet, en utilisant éventuellement un service annexe de transmission de gros fichiers comme https://transfert.free.fr/ ?

05/28/2025 08:22 am - Corinne B
Voici le lien : https://filesender.renater.fr/?s=download&token=4e1f8ab5-cfea-48b5-9cda-f7cbb0fea0ed

05/28/2025 02:00 pm - Frédéric Bréal
Je ne sais pas lire le fichier mais je tente une hypothèse.
À la ligne 28309, je lis
<pre>
formula=((abs(intX-582)<9)|(abs(intX+464)<7)?0.25:0),MAX=0.25
</pre> 

Ne serait-ce pas  plutôt || pour le symbole perl @ou@ ?
<pre>
formula=((abs(intX-582)<9) || (abs(intX+464)<7)?0.25:0),MAX=0.25
</pre>

05/28/2025 04:33 pm - Corinne B
En fait cela fonctionne comme ça. Cela fait plusieurs fois que j'utilise ce mode de calcul dans mes questionnaires AMC, je n'ai jamais eu de soucis.
Le calcul de la note se fait normalement sans problème, j'ai vérifié. 
Le soucis là c'est que le fichier open office ne se crée pas.

05/29/2025 09:27 am - Frédéric Bréal
Pouvez-vous faire une archive zip de votre projet (avec tous les fichiers à inclure images,…) et la déposer sur filesender ?
Vous pouvez m'envoyer le lien par mail pour préserver l'anonymat des élèves.
Je vais  tester avec ma version xubuntu24 et AMC 1.7.0 l'ouverture du fichier ods.

05/29/2025 05:39 pm - Alexis Bienvenüe
- Status changed from New to Feedback

Votre fichier CSV contenant la liste des étudiants contient un indicateur "UTF8 BOM":https://fr.wikipedia.org/wiki/Indicateur_d'ordre_des_octets au tout 
début, invisible à l'édition normale mais qui perturbe AMC… Il faut le supprimer, puis re-faire un « choix des colonnes » pour inclure à nouveau la 
colonne « ordre », puis retenter l'export.

Files
AMC-DEBUG-IvVn6UUX.zip 2.9 kB 05/27/2025 Corinne B
